
{*******************************************************}
{                                                       }
{       VCL Component for Delphi                        }
{       SpinEdit with Alignment property                }
{                                                       }
{       Istvan, 04.03.1999 - Wokadat                    }
{                                                       }
{*******************************************************}


unit AlignEdit;

{$R-}
{$R alignedit.res}

interface

uses Messages, Windows, SysUtils, Classes, StdCtrls, Controls, Graphics, Forms;

type

TAlignEdit = class (TEdit)

private
    FAlignment: TAlignment;
protected
    procedure CreateParams(var Params:TCreateParams);override;
    procedure SetAlignment(Value: TAlignment);
published
    property AutoSelect;
    property AutoSize;
    property BorderStyle;
    property CharCase;
    property Ctl3D;
    property DragCursor;
    property DragMode;
    property Enabled;
    property HideSelection;
    property MaxLength;
    property OEMConvert;
    property ParentColor;
    property ParentCtl3D;
    property ParentFont;
    property ParentShowHint;
    property PasswordChar;
    property PopupMenu;
    property ReadOnly;
    property ShowHint;
    property TabOrder;
    property TabStop;
    property Text;
    property Visible;
    property OnChange;
    property OnClick;
    property OnDblClick;
    property OnDragDrop;
    property OnDragOver;
    property OnEndDrag;
    property OnEnter;
    property OnExit;
    property OnKeyDown;
    property OnKeyPress;
    property OnKeyUp;
    property OnMouseDown;
    property OnMouseMove;
    property OnMouseUp;
    property OnStartDrag;

    property Alignment: TAlignment read FAlignment write SetAlignment default taLeftJustify;
public
    constructor Create(AOwner: TComponent); override;
end;

procedure Register;

implementation

constructor TAlignEdit.Create(AOwner: TComponent);
begin
     inherited Create(AOwner);
     FAlignment:=taLeftJustify;
end;

procedure TAlignEdit.CreateParams(var Params: TCreateParams);
const Alignments: array[TAlignment] of Longint=(ES_LEFT,ES_RIGHT,ES_CENTER);
begin
     inherited CreateParams(Params);
        Params.Style:=Params.Style or Alignments[FAlignment];
end;

procedure TAlignEdit.SetAlignment(Value: TAlignment);
begin
     if FAlignment <> Value then
     begin
          FAlignment := Value;
          RecreateWnd;
     end;
end;

procedure register;
begin
     RegisterComponents('Additional', [TAlignEdit]);
end;

end.
